> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/nor/api-dokumentasjon/oversikt-over-geopard-api-foresporsler/82.-sporring-gjenopprett-abonnementshendelser.md).

# 82. Spørring: Gjenopprett abonnementshendelser

Det er alltid god praksis å ha mulighet til å gjenopprette/gjennomgå leverte vs. produserte abonnementshendelser. Derfor lagrer GeoPard historikken til alle produserte abonnementshendelser for **siste 12 måneder**.&#x20;

De vanlige tilfellene:&#x20;

* Dårlig internettforbindelse og hendelser ble ikke levert
* Nyutrulling av WebSocket-lytter
* Sjekk konsistensen mellom mottatte og produserte hendelser

{% code overflow="wrap" lineNumbers="true" %}

```graphql
  getPlatformEvents(input: {
    dateFrom: "2023-05-25T12:49:00.000Z", 
    dateTo: "2023-05-30T06:35:00.000Z", 
    userUuids: ["<placeholder_of_user_uuid>"]
  }){
    events {
      executionDate
      event {
        uuid
        userUuid
        action
        nodePath {
          entity
          uuid
        }
      }
    } 
  }
}
```

{% endcode %}

Støttede inndatafiltre:

* `dateFrom` som dato/tid i ISO 8701-format (f.eks.: `"2023-05-25T12:49:00.000Z"`)
* `dateTo` som dato/tid i ISO 8701-format (f.eks.: `"2023-05-30T06:35:00.000Z"`)
* `farmUuids` som array med "Gård"-UUIDer å søke etter
* `fieldUuids` som array med "Åker"-UUIDer å søke etter&#x20;
* `userUuids` som en array med "User" UUID-er å søke etter
* `eventUuids` som array med abonnementets "Hendelse"-UUIDer

{% hint style="info" %}
Alle filter fungerer som logisk **OG**.
{% endhint %}

{% hint style="info" %}
Hver abonnementshendelse har et attributt `executionDate` knyttet til tidspunktet den ble sendt i AWSDateTime-format kompatibelt med ISO 8601 DateTime.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/nor/api-dokumentasjon/oversikt-over-geopard-api-foresporsler/82.-sporring-gjenopprett-abonnementshendelser.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
